@import 'variables.sass'

.sky
    width: 100%
    height: 100%
    pointer-events: all

    &:hover + &__sun
        animation: sun $timer linear infinite

    &:hover
        &::before, &::after
            animation: sky $timer linear infinite
            width: 100%
            height: 100%
            opacity: 0
            background: linear-gradient(#272142 25%, #844422, #ff9347)

    &::after
        background: linear-gradient(#171953, #0f1b6c)

    &__sun
        width: 1000px
        height: 1080px
        top: -30px
        right: 0
        margin: auto

        z-index: 1
        filter: blur(10px) brightness(300%)

        &::before
            width: 100px
            height: 100px
            border-radius: 50%
            background: radial-gradient($white, $sun)
            right: 0
            margin: auto
            transform: rotate(0deg)
        &:after
            width: 80px
            height: 80px
            border-radius: 50%
            box-shadow: inset 0 30px 0 #d9fcff
            background: rgba($sky, 0.1)
            left: 60%
            top: auto
            bottom: 30px
            z-index: 1
            transform: rotate(0deg)
        &:hover
            animation: sun $timer linear infinite
        &:hover + .lights
            animation: lights $timer linear infinite

@function stars($a)
    $random2: #ffffff
    $value: "#{random(100 + 100)}vmin #{random(60)}vmin 0 -.#{random(2)}rem "+$random2

    @for $i from 2 through $a
        $random2: adjust-hue(#e0fbff, random(360))
        $value: "#{$value} , #{random(100 + 100)}vmin #{random(60)}vmin 0 -.#{random(2)}rem "+$random2

    @return unquote($value)

$stars: stars(50)

.stars
    width: 100%
    height: 80%
    position: relative
    top: 0
    left: 0
    right: 0
    margin: auto
    animation: stars $timer linear infinite
    -webkit-box-reflect: below -300px
    z-index: 0
    &::before
        content: ""
        width: 5px
        height: 5px
        box-shadow: $stars
        border-radius: 50%
        position: absolute
        top: 0
        left: 0
    i &::before, &::after
        width: 5px
        height: 5px
        top: 3%
        left: 3%
        background: #fff
        border-radius: 50%
        animation: stars 1s linear infinite
        opacity: 0.5
        box-shadow: 0 0 10px #fff

        &::after
            top: 1%
            left: 5%
            animation: stars 1s 0.5s linear infinite
            background: #ffffff

@keyframes stars
    50%
        opacity: 1

@keyframes lights
    0%
        opacity: 0
    40%
        opacity: .4
    70%
        opacity: .7
    100%
        opacity: .1

@keyframes sky
    20%,
    85%
        filter: brightness(100%)
        opacity: 0

    30%,
    70%
        filter: brightness(100%)
        opacity: 1

    40%,
    60%
        filter: brightness(40%)
        opacity: 1

@keyframes sun
    20%,
    80%
        filter: blur(10px) brightness(100%)

    27%,
    73%
        filter: blur(10px) brightness(200%)

    100%
        transform: rotate(360deg)
